package org.springblade.statistics.vo;

import lombok.Data;

@Data
public class ParkTodayTemperatureVO {
	private Integer insideCount;
	private Integer outsideCount;
	private Integer exceptionCount;

	public static final class ParkTodayTemperatureVOBuilder {
		private Integer insideCount;
		private Integer outsideCount;
		private Integer exceptionCount;

		public ParkTodayTemperatureVOBuilder() {
		}

		public static ParkTodayTemperatureVOBuilder aParkTodayTemperatureVO() {
			return new ParkTodayTemperatureVOBuilder();
		}

		public ParkTodayTemperatureVOBuilder withInsideCount(Integer insideCount) {
			this.insideCount = insideCount;
			return this;
		}

		public ParkTodayTemperatureVOBuilder withOutsideCount(Integer outsideCount) {
			this.outsideCount = outsideCount;
			return this;
		}

		public ParkTodayTemperatureVOBuilder withExceptionCount(Integer exceptionCount) {
			this.exceptionCount = exceptionCount;
			return this;
		}

		public ParkTodayTemperatureVO build() {
			ParkTodayTemperatureVO parkTodayTemperatureVO = new ParkTodayTemperatureVO();
			parkTodayTemperatureVO.setInsideCount(insideCount);
			parkTodayTemperatureVO.setOutsideCount(outsideCount);
			parkTodayTemperatureVO.setExceptionCount(exceptionCount);
			return parkTodayTemperatureVO;
		}
	}
}
